{ pkgs
, ... }: {
  programs.neovim = {
    enable = true;
    defaultEditor = true;
    extraPackages = with pkgs; [ ];
    plugins = with pkgs.vimPlugins; [ vim-nix ];

    viAlias = true;
    vimAlias = true;
    vimdiffAlias = true;
  };
}
